#if !defined(AFX_NEWMISSIONDLG_H__68FA66A2_1D7B_11D3_8458_00105A17BC83__INCLUDED_)
#define AFX_NEWMISSIONDLG_H__68FA66A2_1D7B_11D3_8458_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NewMissionDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNewMissionDlg dialog

class CNewMissionDlg : public CDialog
{
// Construction
public:
	CNewMissionDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNewMissionDlg)
	enum { IDD = IDD_NEWMISSIONDLG };
	CEdit	m_SkyPath;
	CEdit	m_Name;
	CEdit	m_MapPath;
	//}}AFX_DATA

	CString m_MapFilePath;
	CString m_SkyFilePath;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNewMissionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNewMissionDlg)
	virtual void OnOK();
	afx_msg void OnMissionmappathbtn();
	afx_msg void OnMissionskypathbtn();
	afx_msg void OnChangeMissionnameedit();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NEWMISSIONDLG_H__68FA66A2_1D7B_11D3_8458_00105A17BC83__INCLUDED_)
